> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all orders

> Returns all orders.



## OpenAPI

````yaml GET /orders
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /orders:
    get:
      summary: List all orders
      description: Returns all orders.
      operationId: list-all-orders
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 1529
                        order_status: COMPLETE
                        customer: AcmeCo
                        reference: A1234567890
                        deal_date: '2025-01-28'
                        expiry_date: null
                        currency: USD
                        order_terms: Pay on delivery
                        delivery_method: RETIREMENT
                        deliveries:
                          - friendly_id: dl_H8pvrPHBQ3Dd76oL
                            project_name: Southeast Capture
                            quantity: 20
                            price_in_cents_in_currency: 12000
                            delivery_total_in_cents_in_currency: 12000
                            currency: USD
                            estimated_delivery_date: '2025-02-28'
                            delivered_date: '2025-02-21'
                            delivery_status: DELIVERED
                            fulfilled_quantity: 20
                            delivered_quantity: 20
                            is_paid: true
                        created_at: '2024-05-10T15:58:21.209Z'
                        updated_at: '2024-05-10T15:58:21.209Z'
                      - id: 1530
                        order_status: COMPLETE
                        customer: AcmeCo
                        reference: A1234567890
                        deal_date: '2025-01-28'
                        expiry_date: null
                        currency: USD
                        order_terms: Pay on delivery
                        delivery_method: RETIREMENT
                        deliveries:
                          - friendly_id: dl_F8pvrPHBQ3Dd7695
                            project_name: Southeast Capture
                            quantity: 20
                            price_in_cents_in_currency: 12000
                            delivery_total_in_cents_in_currency: 12000
                            currency: USD
                            estimated_delivery_date: '2025-02-28'
                            delivered_date: '2025-02-21'
                            delivery_status: DELIVERED
                            fulfilled_quantity: 20
                            delivered_quantity: 20
                            is_paid: true
                        created_at: '2024-05-10T15:58:21.209Z'
                        updated_at: '2024-05-10T15:58:21.209Z'
                    info:
                      items: 2
                      count: 2
                      page: 1
                      from: 1
                      to: 10
                      next: 1
                      prev: null
                      pages: 1
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1529
                          default: 0
                        order_status:
                          type: string
                          example: COMPLETE
                        customer:
                          type: string
                          example: AcmeCo
                        reference:
                          type: string
                          example: A1234567890
                        deal_date:
                          type: string
                          example: '2025-01-28'
                        expiry_date: {}
                        currency:
                          type: string
                          example: USD
                        order_terms:
                          type: string
                          example: Pay on delivery
                        delivery_method:
                          type: string
                          example: RETIREMENT
                        deliveries:
                          type: array
                          items:
                            type: object
                            properties:
                              friendly_id:
                                type: string
                                example: dl_H8pvrPHBQ3Dd76oL
                              project_name:
                                type: string
                                example: Southeast Capture
                              quantity:
                                type: integer
                                example: 20
                                default: 0
                              price_in_cents_in_currency:
                                type: integer
                                example: 12000
                                default: 0
                              delivery_total_in_cents_in_currency:
                                type: integer
                                example: 12000
                                default: 0
                              currency:
                                type: string
                                example: USD
                              estimated_delivery_date:
                                type: string
                                example: '2025-02-28'
                              delivered_date:
                                type: string
                                example: '2025-02-21'
                              delivery_status:
                                type: string
                                example: DELIVERED
                              fulfilled_quantity:
                                type: integer
                                example: 20
                                default: 0
                              delivered_quantity:
                                type: integer
                                example: 20
                                default: 0
                              is_paid:
                                type: boolean
                                example: true
                                default: true
                        created_at:
                          type: string
                          example: '2024-05-10T15:58:21.209Z'
                        updated_at:
                          type: string
                          example: '2024-05-10T15:58:21.209Z'
                  info:
                    type: object
                    properties:
                      items:
                        type: integer
                        example: 2
                        default: 0
                      count:
                        type: integer
                        example: 2
                        default: 0
                      page:
                        type: integer
                        example: 1
                        default: 0
                      from:
                        type: integer
                        example: 1
                        default: 0
                      to:
                        type: integer
                        example: 10
                        default: 0
                      next:
                        type: integer
                        example: 1
                        default: 0
                      prev: {}
                      pages:
                        type: integer
                        example: 1
                        default: 0
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````